## API Documentation  

| Method | Endpoint       | Description                   | Authentication |
|--------|----------------|-------------------------------|----------------|
| GET    | /api/callback  | Called by discord oAuth2      | Discord Code   |
| GET    | /api/login     | Redirect to Discord oAuth URI | None           |
| GET    | /api/auth/key  | Generate an upload key        | Session key    |
| PUT    | /api/auth/me   | Retrieve user object          | Session key    |
| POST   | /api/upload    | Upload file                   | Upload key     |
| DELETE | /api/:id       | Delete file                   | Upload key     |
| GET    | /api/:id       | Get file                      | Upload key     |
| GET    | /api/list      | Get a list of uploaded files  | Session key    |
